!set title=Oeufs de Pâques
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
leftrange=-5.000000
rightrange=5.000000
author=XIAO Dingyu
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=15
prevarcnt=14
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Patrick, Fabien, Fabrice, Carole, Elodie, Jean-Pierre, Paul, Gérard, Louis, Catherine, Julie, George, Dominique, Charles, Sylvie	
tmp0=!shuffle $val6

val6=$(tmp0)
tmp0=!item 1 of $val6

val7=$(tmp0)
tmp0=!item 2 of $val6

val8=$(tmp0)
tmp0=!item 3 of $val6

val9=$(tmp0)
tmp=!trim la moitié, le quart, 1, 4	la moitié, le tiers, 1, 6	le quart, le quart, 2, 4	le tiers, le tiers, 1, 3	le tiers, le quart, 5, 12	
val10=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val10

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val11=$(tmp0)
tmp0=!item 1 of $val11

val12=$(tmp0)
tmp0=!item 2 of $val11

val13=$(tmp0)
tmp0=!item 3 of $val11

val14=$[rint($(tmp0))]
tmp0=!item 4 of $val11

val15=$[rint($(tmp0))]
tmp0=!randint 2, 10

val16=$[rint($(tmp0))]
val17=$[rint($val14*$val16)]
val18=$[rint($val16*$val15)]
replytype1=default
replyname1=Le nombre d'oeufs
replygood1=$val18
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Des enfants cherchent des oeufs de Pâques dans un jardin. $val7 en a trouvé $val12, $val8 en a 	trouvé $val13 et $val9 en a trouvé $val17.	Combien d'oeufs ont-ils été trouvés?
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,8,9,12,13,17
embedcnt=0
